summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCaleb Tennis <caleb@gentoo.org>2008-01-05 18:44:38 +0000
committerCaleb Tennis <caleb@gentoo.org>2008-01-05 18:44:38 +0000
commitadfe8ecd7e121bda66fe7faa2bcda5a33a839ad2 (patch)
tree374bc432c8565c48b1fbbe93fc02427aa8e336e6 /eclass/qt4.eclass
parentVersion bump. (diff)
downloadgentoo-2-adfe8ecd7e121bda66fe7faa2bcda5a33a839ad2.tar.gz
gentoo-2-adfe8ecd7e121bda66fe7faa2bcda5a33a839ad2.tar.bz2
gentoo-2-adfe8ecd7e121bda66fe7faa2bcda5a33a839ad2.zip
Fixes from bug #203955
Diffstat (limited to 'eclass/qt4.eclass')
-rw-r--r--eclass/qt4.eclass16
1 files changed, 8 insertions, 8 deletions
diff --git a/eclass/qt4.eclass b/eclass/qt4.eclass
index 78bcdddc159c..26a78f4639ce 100644
--- a/eclass/qt4.eclass
+++ b/eclass/qt4.eclass
@@ -1,6 +1,6 @@
# Copyright 2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4.eclass,v 1.31 2007/12/31 18:55:53 caleb Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4.eclass,v 1.32 2008/01/05 18:44:38 caleb Exp $
# @ECLASS: qt4.eclass
# @MAINTAINER:
@@ -99,17 +99,17 @@ qt4_pkg_setup() {
if ! has_version x11-libs/qt-${x}; then
eerror "You must first install the x11-libs/qt-${x} package."
- die
+ die "Install x11-libs/qt-${x}"
fi
- elif [ ${x} == ssl ]; then
- if [ ! has_version x11-libs/qt-core || ! built_with_use x11-libs/qt-core ssl ]; then
+ elif [[ ${x} == ssl ]]; then
+ if ! has_version x11-libs/qt-core || ! built_with_use x11-libs/qt-core ssl; then
eerror "You must first install the x11-libs/qt-core package with the ssl flag enabled."
- die
+ die "Install x1-libs/qt-core with USE=\"ssl\""
fi
- elif [ ${x} == sqlite3 ]; then
- if [ ! has_version x11-libs/qt-sql || ! built_with_use x11-libs/qt-sql sqlite ]; then
+ elif [[ ${x} == sqlite3 ]]; then
+ if ! has_version x11-libs/qt-sql || ! built_with_use x11-libs/qt-sql sqlite; then
eerror "You must first install the x11-libs/qt-sql package with the sqlite flag enabled."
- die
+ die "Install x11-libs/qt-sql with USE="\sqlite\""
fi
fi
elif ! built_with_use =x11-libs/qt-4* ${x}; then